Subject: Re: [mpls] I-D Action:draft-ietf-mpls-p2mp-te-mib-08.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 8 Mar 2009 22:19:35 -0000

Hi,

Finally this I-D has been updated to fix the issues raised by Nic Neate.

You may recall that the issues were raised after the I-D had completed WG 
last call and gone to Ross for evaluation. The issues were, nonetheless, 
valid and needed to be fixed.

A summary of the changes is provided in Section 0 of the I-D, and details 
may be found by running RFCdiff.

We leave it to the WG chairs to determine whether a further WG last call is 
needed.

Thanks,
Adrian
----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, March 08, 2009 10:15 PM
Subject: I-D Action:draft-ietf-mpls-p2mp-te-mib-08.txt

>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
> This draft is a work item of the Multiprotocol Label Switching Working 
> Group of the IETF.
>
>
> Title           : Point-to-Multipoint Multiprotocol Label Switching (MPLS) 
> Traffic Engineering (TE) Management Information Base (MIB) module
> Author(s)       : A. Farrel, et al.
> Filename        : draft-ietf-mpls-p2mp-te-mib-08.txt
> Pages           : 62
> Date            : 2009-03-08
>
> This memo defines a portion of the Management Information Base
> for use with network management protocols in the Internet community.
> In particular, it describes managed objects for point-to-multipoint
> (P2MP) Multiprotocol Label Switching (MPLS) based traffic engineering
> (TE).
>
> The MIB module defined in this document is applicable to P2MP MPLS-TE
> by extensions to the MPLS-TE MIB module defined in RFC 3812. It is
> equally applicable to P2MP Generalized MPLS (GMPLS) in association
> with the GMPLS TE MIB module defined in RFC 4802.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-mpls-p2mp-te-mib-08.txt

---

From: Nic Neate <[email-masked]>
Date: Wed, 11 Mar 2009 15:22:12 +0000

Hi Adrian,

Thanks for making these changes.

One final comment from me: I think there's a typo in the example text in section 5.1 (http://tools.ietf.org/html/draft-ietf-mpls-p2mp-te-mib-08#page-18), describing configuration of the sub-group IDs in the mplsTeP2mpTunnelDestTable.

You have the source (incoming) sub-group ID being set and the destination (outgoing) sub-group ID left as 0 for the first mplsTeP2mpTunnelDestTable row, and both being set for the second row.  I think the source sub-group ID should be left 0 for both rows, and the destination sub-group ID should be set for both rows.

Suggested text:

   Step 5 - Create the destinations for the P2MP LSP tunnel

     In mplsTeP2mpTunnelDestTable define as follows:

     {
>      mplsTeP2mpTunnelDestSrcSubGroupOriginType = unknown(0),
>      mplsTeP2mpTunnelDestSrcSubGroupOrigin     = "",
>      mplsTeP2mpTunnelDestSrcSubGroupID         = 0,
>      mplsTeP2mpTunnelDestSubGroupOriginType    = ipv4(1),
>      mplsTeP2mpTunnelDestSubGroupOrigin        = "192.0.2.1",
>      mplsTeP2mpTunnelDestSubGroupID            = 132,
       mplsTeP2mpTunnelDestDestinationType       = ipv4(1),
       mplsTeP2mpTunnelDestDestination           = "192.0.2.65",
       mplsTeP2mpTunnelDestHopTableIndex         = 1,
       mplsTeP2mpTunnelDestPathInUse             = 1,
       mplsTeP2mpTunnelDestAdminStatus           = up(1),
       mplsTeP2mpTunnelDestRowStatus             = createAndGo(4)
     }

     {
>      mplsTeP2mpTunnelDestSrcSubGroupOriginType = unknown(0),
>      mplsTeP2mpTunnelDestSrcSubGroupOrigin     = "",
>      mplsTeP2mpTunnelDestSrcSubGroupID         = 0,
       mplsTeP2mpTunnelDestSubGroupOriginType    = ipv4(1),
       mplsTeP2mpTunnelDestSubGroupOrigin        = "192.0.2.1",
       mplsTeP2mpTunnelDestSubGroupID            = 132,
       mplsTeP2mpTunnelDestDestinationType       = ipv4(1),
       mplsTeP2mpTunnelDestDestination           = "192.0.2.66",
       mplsTeP2mpTunnelDestHopTableIndex         = 2,
       mplsTeP2mpTunnelDestPathInUse             = 1,
       mplsTeP2mpTunnelDestAdminStatus           = up(1),
       mplsTeP2mpTunnelDestRowStatus             = createAndGo(4)
     }

Nic

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: 08 March 2009 22:20
To: Loa Andersson; George Swallow
Cc: Ross Callon; [email-masked]
Subject: Re: [mpls] I-D Action:draft-ietf-mpls-p2mp-te-mib-08.txt

Hi,

You may recall that the issues were raised after the I-D had completed WG last call and gone to Ross for evaluation. The issues were, nonetheless, valid and needed to be fixed.

A summary of the changes is provided in Section 0 of the I-D, and details may be found by running RFCdiff.

We leave it to the WG chairs to determine whether a further WG last call is needed.

Thanks,
Adrian
----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, March 08, 2009 10:15 PM
Subject: I-D Action:draft-ietf-mpls-p2mp-te-mib-08.txt

> http://www.ietf.org/internet-drafts/draft-ietf-mpls-p2mp-te-mib-08.txt 

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls